EDIT - feature request #7966

Registration search simplify type select options
12/20/2018 04:11 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal

Description

The type select in the search filters should not distinguish name type and specimen types. E.g. the option "Lectotype" should
therefore refer to both.

Related issues:

Related to EDIT - feature request #7965: Registration search simplify type se... Closed
Related to EDIT - bug #8113: Update TypeDesignationStatus labels Closed
Has duplicate EDIT - feature request #7610: Type search in PhycoBank Portal Duplicate
Copied to EDIT - bug #8287: RegistrationServicelmpl.page( ... Collection<UUL... Closed

Associated revisions

Revision fa2b2dbb - 05/20/2019 12:35 PM - Andreas Kohlbecker

ref #7966 preparing web service contollers to search for NULL type status via UUID parameter

Revision 84ec1c1b - 05/20/2019 12:37 PM - Andreas Kohlbecker
fix #7966 using the TypeDesignationStatusFilter to simplify the registration search by status type

Revision dc58a71b - 05/20/2019 12:38 PM - Andreas Kohlbecker
fix #7966 using the TypeDesignationStatusFilter to simplify the registration search by status type

History

#1 - 12/20/2018 04:11 PM - Andreas Kohlbecker

- Related to feature request #7965: Registration search simplify type select options added

#2 - 02/20/2019 12:16 PM - Andreas Miiller

- Description updated

#3 - 02/20/2019 12:19 PM - Andreas Miiller
- Related to bug #8113: Update TypeDesignationStatus labels added

#4 - 04/11/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#5 - 05/03/2019 03:00 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#6 - 05/17/2019 03:19 PM - Andreas Kohlbecker
- Related to feature request #7610: Type search in PhycoBank Portal added

#7 - 05/17/2019 03:20 PM - Andreas Kohlbecker
- Related to deleted (feature request #7610: Type search in PhycoBank Portal)

#8 - 05/17/2019 03:20 PM - Andreas Kohlbecker
- Has duplicate feature request #7610: Type search in PhycoBank Portal added
#9 - 05/20/2019 12:37 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|84ecic1b58a6d4667402a3f456f90e76c92ad5c5.

#10 - 05/20/2019 12:57 PM - Andreas Kohlbecker

- Copied to bug #8287: RegistrationServicelmpl.page( .... Collection<UUID> typeDesignationStatusUuids ... ) fails when NULL and UUIDs are passed
added

#11 - 05/20/2019 12:58 PM - Andreas Kohlbecker

This issue is solved, however there is a problem in the service method driving the search (#8287) due to which the option to select multiple status in
the search has been disabled by now.

#12 - 05/20/2019 12:59 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

@Henning: please review

#13 - 07/16/2019 06:45 PM - Wolf-Henning Kusber
- % Done changed from 50 to 80

Original designation gives back: Name types of genera = correct
Holotype gives back: Specimen types of species and below = correct
Lectotype gives back: Specimen types of species and below = correct

not checked Lectotypes = Name types. May be no correct entered data in the system.
ToDo Henning.

#14 - 07/16/2019 06:54 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 80 to 100

Lectotype gives back: Specimen types AND Name types of genera, species and below = correct

Problem fully resolved. Ticket can be closed.

#15 - 07/17/2019 07:49 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed
